/*  filo -- manipulate a `rolodex'-like database
 *  Copyright (C) 1994 David Deaven, Jennifer Corkill
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, write to the Free Software
 *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 * $Id: mkcstring.c,v 1.2 1995/10/26 19:25:28 deaven Exp $
 */

#include <stdio.h>

void main()
{
	int c;
	int inside = 0;
	while((c = getchar()) != EOF)
	{
	  if(!inside) {
	    putchar('\"');
	    inside = 1;
	  }
	  switch(c) {
	    case '\n':
	      printf("\\n\"\n");
	      inside = 0;
	      break;
	    case '\"':
	      printf("\\\"");
	      break;
	    case '\t':
	      printf("\\t");
	      break;
	    default:
	      putchar(c);
	      break;

	  }
	}
	exit(0);
}
